<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.File"
	import="net.sf.basedb.core.RawBioAssay"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	
	int fileId = Values.getInt(request.getParameter("fileId"));
	int itemId = Values.getInt(request.getParameter("itemId"));
	
	RawBioAssay vcall = RawBioAssay.getById(dc, itemId);
	String title = "Variant summary: " + vcall.getName();
	
	int headerColspan = 3;
%>
<base:page type="popup" title="View variants">
<base:head scripts="~view_variants.js,~../reggie-2.js" styles="path.css,~../css/reggie-2.css">

<style>

#snp-table th
{
	text-align: left;
	padding: 2px 4px;
	border-right-width: 0;
}

#snp-table td
{
	padding: 1px 4px;
}

#snp-table .snp
{
	border-bottom-style: dotted;
	border-bottom-width: 1px;
}

#snp-table .ref
{
	text-align: center;
	white-space: nowrap;
}
</style>

</base:head>
<base:body data-read-only="1">
	<h1><%=HTML.encodeTags(title) %></h1>

	<div id="page-data" class="datacontainer"
		data-file-id="<%=fileId%>"
		data-item-id="<%=itemId%>"
	></div>
	
	<form name="reggie" id="wizard" class="wizard">
	<div class="content bottomborder">
		<table id="sample-summary" class="fullform input100 bottomborder" style="height:auto;">
		<tbody>
		<tr>
			<th>Bioassay</th>
			<td><%=HTML.encodeTags(vcall.getName())%></td>
		</tr>
		<tr>
			<th>Variants</th>
			<td><span id="snp-count"></span></td>
		</tr>
		<tr>
			<th>Comment</th>
			<td><%=HTML.encodeTags(vcall.getDescription())%></td>
		</tr>
		</tbody>
		</table>
		
		<table id="snp-table" style="display:none; width: 100%;">
		<tr class="bottomborder bg-filled-100">
			<th>Location</th>
			<th class="dottedleft ref">Ref › Alt</th>
			<th class="dottedleft">Type</th>
			<th class="dottedleft">Gene</th>
			<th class="dottedleft">Cosmic ID</th>
			<th class="dottedleft">dbSNP ID</th>
		</tr>
		<tbody id="snp-list"></tbody>
		</table>

		<div id="wizard-status"></div>
	</div>	
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="close" title="Close" />
	</base:buttongroup>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>